Subject: Re: [2.4 PATCH] bugfix: ARP respond on all devices

From: Ben Greear <[email-masked]>
Date: Mon, 18 Aug 2003 20:21:00 -0700

Bill Davidsen wrote:

> Okay, I'll show my ignorance and ask... the Documentation for arp_filter
> says source routing must be used. Is there some flag I'm missing, or a way
> to avoid having a rule per address, or is the 8 bit rule number larger in
> 2.6, or ??? Or is having a lot of IPs on one machine not an imaginable
> case?

Last response I got was that one would have to hack the netlink api to get
a bigger index because the design (and rfc, unfortunately) describe the
field as only 8 bits.  I never did hear a response to my comment that this
was inadequate in this age of vlans...

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com